MRTDREADER(1)

NAME
mrtdreader - Reader for machine-readable travel documents (MRTDs / passports)

SYNOPSIS
mrtdreader [options] <MRZ>

DESCRIPTION
This manual page documents briefly the mrtdreader command.

mrtdreader is a program which takes as input the content of the Machine-readable zone (MRZ) of Machine-readable travel documents (MRTD) and then reads out some data from the MRTD via RFID/NFC and dumps the facial image to a file. MRTDs such as passports nowadays usually contain an RFID chip for storing various data. The Basic Access Control (BAC) scheme is supported via the library libmrtd and mrtdreader is the example program delivered together with libmrtd. It uses several cryptographic functions in order to do the necessary decryption of the content of the MRTDs. The key for the BAC-scheme is derived from the Machine-readable zone (MRZ) which is printed on the MRTD.

OPTIONS
If the MRZ is specified on the command line, the following options are ignored. If the MRZ is not specified, all the three following options must be specified and the MRZ will be calculated from them.

-p <passport-number>
    With this parameter, the passport number can be specified. It consists of maximum 9 ASCII letters or digits. Not that if this one is specified, also -b and -e must be specified.

-b <date-of-birth>
    Specify the date of birth in the format YYMMDD. Not that if this one is specified, also -p and -e must be specified.

-e <expiration-date>
    Specify the expiration date in the format YYMMDD. Not that if this one is specified, also -p and -b must be specified.

AUTHOR
This manual page was written by Ruben Undheim <ruben.undheim@gmail.com>, for the Debian project (and may be used by others).